%This function compute the upper and lower uncertainty error over the
%computation of the fluid temperature depending on the enthalpy (and its
%errors dh) and the pressure of the fluid
function [dT_F_up,dT_F_down] = uncertainty_T_F(T_F,h,dh_up, dh_down,P,fluid)
error_P =  20000; %absolute uncertainty of the pressure transducer

%dT_F_up calculation
d_h_up = CoolProp.PropsSI('T', 'H', h+dh_up, 'P', P, fluid)-273.15 - T_F;
d_P_up = CoolProp.PropsSI('T', 'H', h, 'P', P + error_P, fluid)-273.15 - T_F;
dT_F_up = sqrt(d_h_up^2 + d_P_up^2);

%dT_F_down calculation
d_h_down = CoolProp.PropsSI('T', 'H', h-dh_down, 'P', P, fluid)-273.15 - T_F;
d_P_down = CoolProp.PropsSI('T', 'H', h, 'P', P - error_P, fluid)-273.15 - T_F;
dT_F_down = sqrt(d_h_down^2 + d_P_down^2);