%Title : analyse_IR
%Author: Bertrand Schyns
%Script to analyse the data from the IR frame, due to lower temperature in
%transient tests the selection was done manually and the function us just
%giving that selection as output.
% Inputs:  - y selection of the transient heat flux (if y == 1) or the
% transient mass flux (if y == 0)
%          - z = number of the frame
function [Channel] = analyse_IR(y,z)
a = sprintf('Ir_image%u',z);
load(a) 
% figure
% pcolor(Frame)
% colormap jet;
% title('Global view of the image')


%A first reduction of the matrix is done using the inlet and outlet
%position of the channel
if y == 1
    Frame_r = Frame(90:120,54:306);
else
    Frame_r = Frame(80:110,23:275);
end
[y_size, x_size] = size(Frame_r);


%% Defining the chanel position
%Find the maximum in the matrix 
T_max = max(max(Frame_r));
x_Tmax = find(Frame_r==T_max);
y_Tmax = mod(x_Tmax,y_size);
x_Tmax = (x_Tmax - y_Tmax)/y_size + 1;
x_Tmax = x_Tmax(1);
y_Tmax = y_Tmax(1);




width_px = 12;

%Due to lower temperature in %transient tests the selection was done
%manually for the two positions possible depending is it is a transient
%heat flux or mass flux. 
dy = zeros(length(Frame_r)-9,1);
y_up_border = zeros(length(Frame_r)-9,1);
y_down_border = zeros(length(Frame_r)-9,1);
if y ==1 
    y_up_border(1:17)=25;
    y_up_border(18:111)=24;
    y_up_border(112:160)=23;
    y_up_border(161:235)=22;
    y_up_border(236:end)=21;
else
    y_up_border(1:53)=26;
    y_up_border(54:96)=25;
    y_up_border(97:129)=24;
    y_up_border(130:176)=23;
    y_up_border(177:220)=22;
    y_up_border(220:end)=21;
end

Channel = zeros(width_px,length(Frame_r));

for i = 1:length(dy)
    y_down_border(i) = y_up_border(i) - width_px + 1;
    Channel(:,6+i-1) = Frame_r(y_down_border(i):y_up_border(i),1+5+i-1);
end



%As the borders at the inlet and outlet are not sraigth, the last few
%pixels are chosen starting from the closest one determined with the loop
%and using the geometry to be as close to the shape of the geometry as
%possible
for i = 1:5
    if i == 1
        Channel(4:9,i) = Frame_r(y_down_border(1)+3:y_up_border(1)-3,1+i-1);
        Channel(4:9,end-i+1) = Frame_r(y_down_border(end)+3:y_up_border(end)-3,end-i+1);
     elseif i==2 || i == 3
         Channel(3:10,i) = Frame_r(y_down_border(1)+2:y_up_border(1)-2,1+i-1);
         Channel(3:10,end-i+1) = Frame_r(y_down_border(end)+2:y_up_border(end)-2,end-i+1);
    else
         Channel(2:11,i) = Frame_r(y_down_border(1)+1:y_up_border(1)-1,1+i-1);
         Channel(2:11,end-i+1) = Frame_r(y_down_border(end)+1:y_up_border(end)-1,end-i+1);
    end
    
end

end

