%This function compute the upper and lower uncertainty error over the
%computation of the fluid enthalpy depending on the temperature and the
%pressure of the fluid
function [dh_F_up,dh_F_down] = uncertainty_h_F(T_F,h_F,P,fluid)
error_T = 0.5; %Error of the thermocouple
error_P =  20000;%20kPa of error for the pressure

%dT_F_up calculation
d_T_up = CoolProp.PropsSI('H', 'T', T_F + error_T + 273.15, 'P', P, fluid) - h_F;
d_P_up = CoolProp.PropsSI('H', 'T', T_F + 273.15, 'P', P + error_P, fluid) - h_F;
dh_F_up = sqrt(d_T_up^2 + d_P_up^2);

%dT_F_down calculation
d_T_down = CoolProp.PropsSI('H', 'T', T_F - error_T + 273.15, 'P', P, fluid) - h_F;
d_P_down = CoolProp.PropsSI('H', 'T', T_F + 273.15, 'P', P - error_P, fluid) - h_F;
dh_F_down = sqrt(d_T_down^2 + d_P_down^2);