%This function compute the upper and lower uncertainty error over the
%computation of heat transfer coefficient in convection depending on the
%heat exchanged by conduction (and it errors), the temeprature meausred by
%the IR camera, the temperature of the fluid and the geometry.
function [dh_conv_up,dh_conv_down] = uncertainty_h_conv(h_conv,q_conv,dq_conv_up,dq_conv_down,T_IR,T_F,dT_F_up,dT_F_down,dx,dy)
if T_IR > 100
    error_IR_T = 0.02*T_IR;
else
    error_IR_T = 2;
end

%dh_conv_up calculation
d_q_conv_up = (q_conv+dq_conv_up)/(dx*dy*(T_IR-T_F)) - h_conv;
d_T_IR_up = q_conv/(dx*dy*(T_IR+error_IR_T-T_F)) - h_conv;
d_T_F_up = q_conv/(dx*dy*(T_IR-(T_F+dT_F_up))) - h_conv;
dh_conv_up = sqrt(d_q_conv_up^2 + d_T_IR_up^2 + d_T_F_up^2);

%dh_conv_down calculation
d_q_conv_down = (q_conv-dq_conv_down)/(dx*dy*(T_IR-T_F)) - h_conv;
d_T_IR_down = q_conv/(dx*dy*(T_IR-error_IR_T-T_F)) - h_conv;
d_T_F_down = q_conv/(dx*dy*(T_IR-(T_F-dT_F_down))) - h_conv;
dh_conv_down = sqrt(d_q_conv_down^2 + d_T_IR_down^2 + d_T_F_down^2);