%This function compute the upper and lower uncertainty error over the
%computation of the heat exchange by radiation depending on the measured
%plate temperature by the IR camera T_IR. The other inputs are the
%emissivity epsilon, the Stefan Boltzmann constant sigma, the width if the
%element dx, the length of the element dy, the environment temperature
%T_inf and the heat exchange by radiation q_rad.
function [dq_rad_up, dq_rad_down] = uncertainty_q_rad(T_IR, epsilon, sigma, dx, dy, T_inf, q_rad)
if T_IR > 100
    error_IR_T = 0.02*T_IR;
else
    error_IR_T = 2;
end

dq_rad_up= epsilon * sigma * dx * dy * ((T_IR + error_IR_T +273.15)^4 - (T_inf+273.15)^4) - q_rad;
dq_rad_down= abs(epsilon * sigma * dx * dy * ((T_IR - error_IR_T +273.15)^4 - (T_inf+273.15)^4) - q_rad);
end